Subject: [Errata Rejected] RFC7540 (4663)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Feb 2017 07:23:43 -0800 (PST)

The following errata report has been rejected for RFC7540,
"Hypertext Transfer Protocol Version 2 (HTTP/2)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7540&eid=4663

--------------------------------------
Status: Rejected
Type: Technical

Reported by: D. Stussy <[email-masked]>
Date Reported: 2016-04-12
Rejected by: Alexey Melnikov (IESG)

Section: 8 omits

Original Text
-------------
[Note:  RFC 3875, section 4.1.16, defines the protocol version as:

HTTP-Version = "HTTP" "/" 1*digit "." 1*digit

Nothing in RFC 7540 redefines this.]

Corrected Text
--------------
Add paragraph at end of section 8 (before 8.1) - Clarification:

HTTP/2 preserves the format of the SERVER_PROTOCOL CGI variable,
both in the CGI interface and for any server logging purposes.  Where
a version string is necessary, it is "HTTP/2.0" as defined by RFC 3875.

Notes
-----
Compatibility is required with a prior published RFC, or a specific change superseding the prior RFC need be explicitly stated.  This RFC states in its abstract:

"This specification is an alternative to, but does not obsolete, the HTTP/1.1 message syntax.  HTTP's existing semantics remain unchanged"

RFC 7540, section 3.5's connection preface string containing "HTTP/2.0" implies that the RFC authors should have forseen this issue, and added a paragraph to section 8 to explicitly state no change in the CGI interface variable SERVER_PROTOCOL was desired.  At least one implementation is using a version string of "HTTP/2", not "HTTP/2.0", because of how it is referred in this RFC. ("nghttp2.org" has incorrectly implemented this in its library routines.)
 --VERIFIER NOTES-- 
Mark Nottingham:  As discussed on HTTPBIS mailing list, this isn't an issue for the HTTP specification.

--------------------------------------
RFC7540 (draft-ietf-httpbis-http2-17)
--------------------------------------
Title               : Hypertext Transfer Protocol Version 2 (HTTP/2)
Publication Date    : May 2015
Author(s)           : M. Belshe, R. Peon, M. Thomson, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG